HP printer: how to get printing from Firefox happening?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
XP-refugee
Level 1
Level 1
Posts: 22
Joined: Mon Jan 01, 2018 2:41 am

HP printer: how to get printing from Firefox happening?

Post by XP-refugee » Thu Jun 14, 2018 10:05 pm

A very low skilled user here.
I am having trouble printing from Firefox and some other programs on my HP ENVY.
And read that the way forward is to uninstall and re-install HPLIP.
viewtopic.php?f=51&t=263948&p=1431368&h ... l#p1431368

I have done that and installed the latest version as per
https://www.fosslinux.com/1547/install- ... ary-os.htm
(If I need to delete "HP from the PRINTERS folder" then pls tell me where to find the PRINTERS folder.)

But still get nothing printed when printing from Firefox.

If it makes any difference here is the current output of

Code: Select all

hp-check

Code: Select all

HP Linux Imaging and Printing System (ver. 3.18.6)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

 
---------------
| SYSTEM INFO |
---------------

 Kernel: 4.13.0-45-generic #50~16.04.1-Ubuntu SMP Wed May 30 11:18:27 UTC 2018 GNU/Linux
 Host: poddy
 Proc: 4.13.0-45-generic #50~16.04.1-Ubuntu SMP Wed May 30 11:18:27 UTC 2018 GNU/Linux
 Distribution: 22 18.3
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.18.6
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for linuxmint distro  18.3 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.18.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.18.6
html=/usr/share/doc/hplip-3.18.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.18.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[installation]
date_time = 15/06/18 12:29:41
version = 3.18.6

[upgrade]
notify_upgrade = true
last_upgraded_time = 1529036524
pending_upgrade_time = 0
latest_available_version = 3.17.10

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = "hp:/usb/ENVY_4520_series?serial=TH65V3M2T606JS"
printer_name = 
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list = 

[fax]
voice_phone = 
email_address = 


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------
| COMPILEDEP |
--------------

 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               5.4.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -

------------------------
| General Dependencies |
------------------------

 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
 python-xml           Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.25          OK         -
 pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.11.4          OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.23            OK         -
 python-devel         Python devel - Python development files                      REQUIRED        2.2             2.7.12          OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.1.3           OK         -
 python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.0           OK         -
 cups-ddk             CUPS DDK - CUPS driver development kit                       OPTIONAL        -               -               OK         -
 reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             3.3.0           OK         -
 pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.11.4          OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.1.3           OK         -
 python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             2.7.12          OK         -
 python-notify        Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               1.0.25          OK         -

----------------------
| Scan Configuration |
----------------------

 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.18.6          OK         -
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.18.6          OK         'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.18            OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.25          OK         -
 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.1.3           OK         'CUPS Scheduler is running'
 network              network -wget                                                OPTIONAL        -               1.17.1          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.10.6          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.32          OK         -

---------------------
| Python Extentions |
---------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.18.6          OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.18.6          OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/ENVY_4520_series?serial=TH65V3M2T606JS' is a Hewlett-Packard ENVY_4520_series all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                        Model              
  --------------------------------  -------------------
  hp:/usb/ENVY_4520_series?serial=  HP ENVY 4520 series
  TH65V3M2T606JS                                       

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
ENVY_4520
---------
Type: Printer
Device URI: hp:/usb/ENVY_4520_series?serial=TH65V3M2T606JS
PPD: /etc/cups/ppd/ENVY_4520.ppd
warning: Failed to read /etc/cups/ppd/ENVY_4520.ppd ppd file
PPD Description: 
Printer status: printer ENVY_4520 is idle.  enabled since Fri 15 Jun 2018 12:06:40 AWST
Communication status: Good

HP-ENVY-4520-series
-------------------
Type: Printer
Device URI: hp:/usb/ENVY_4520_series?serial=TH65V3M2T606JS
PPD: /etc/cups/ppd/HP-ENVY-4520-series.ppd
warning: Failed to read /etc/cups/ppd/HP-ENVY-4520-series.ppd ppd file
PPD Description: 
Printer status: printer HP-ENVY-4520-series is idle.  enabled since Fri 15 Jun 2018 12:23:00 AWST
Communication status: Good


--------------
| PERMISSION |
--------------

USB             ENVY_4520                      Required        -        -        OK       Node:'/dev/bus/usb/001/003' Perm:'  root  lp rw- rw- rw- rw- rw- r--'
No errors or warnings.

Done.
Last edited by karlchen on Sat Jun 16, 2018 8:10 am, edited 1 time in total.
Reason: added [code] tags around hp-check screen output

wh7qq
Level 2
Level 2
Posts: 75
Joined: Mon Mar 15, 2010 5:43 pm

Re: HP printer: how to get printing from Firefox happening?

Post by wh7qq » Fri Jun 15, 2018 9:41 pm

As an old XP Pro expatriate 16 years ago, welcome to linux and mint.

In the giant data dump you posted, I saw nothing of your installing and configuring "CUPS". HPLIP does not do that for you and you must manually install and configure it: from a terminal,

Code: Select all

sudo apt install cups
. You can also do this from Synaptic or from the linuxmint software manager but I find the terminal approach easier. You access the CUPS administrative page at [url]http://localhost: 631[/url] in your browser search bar and choose your printer and its connection there. CUPS will ask for your username and password so put in your username and password that you use for your linux distro, not any password you might have set up for CUPS. Do not forget to do

Code: Select all

sudo apt update
before installing anything.

BTW, I don't speak for anyone else in this, but my eyes glass over any time I see a huge dump of data...too hard to dig out the pertinent nuggets...forest and trees analogy applies here.

Mute Ant
Level 13
Level 13
Posts: 4848
Joined: Tue Sep 03, 2013 7:45 pm

Re: HP printer: how to get printing from Firefox happening?

Post by Mute Ant » Sat Jun 16, 2018 7:57 am

"...my eyes glass over any time I see a huge dump..." The new-speak acronym is TLDR... Too Long Didn't Read.
Data stored in the volume will only be accessible with the correct password. If you lose this security key, all data will be lost.

User avatar
karlchen
Level 18
Level 18
Posts: 8951
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: HP printer: how to get printing from Firefox happening?

Post by karlchen » Sat Jun 16, 2018 8:13 am

Hello, XP-refugee.
XP-refugee wrote:
Thu Jun 14, 2018 10:05 pm
I am having trouble printing from Firefox and some other programs on my HP ENVY.
Is there a single application from which you have successfully printed on your HP printer?

Regards,
Karl
Image
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.

tgwilt
Level 1
Level 1
Posts: 48
Joined: Fri Jun 08, 2018 2:26 am
Location: Florida, USA

Re: HP printer: how to get printing from Firefox happening?

Post by tgwilt » Sat Jun 16, 2018 11:28 am

wh7qq wrote:
Fri Jun 15, 2018 9:41 pm
As an old XP Pro expatriate 16 years ago, welcome to linux and mint.
I saw nothing of your installing and configuring "CUPS". HPLIP does not do that for you and you must manually install and configure it: from a terminal,

Code: Select all

sudo apt install cups
. You can also do this from Synaptic or from the linuxmint software manager but I find the terminal approach easier. You access the CUPS administrative page at [url]http://localhost: 631[/url] in your browser search bar and choose your printer and its connection there. CUPS will ask for your username and password so put in your username and password that you use for your linux distro, not any password you might have set up for CUPS. Do not forget to do

Code: Select all

sudo apt update
before installing anything.

BTW, I don't speak for anyone else in this, but my eyes glass over any time I see a huge dump of data...too hard to dig out the pertinent nuggets...forest and trees analogy applies here.
This is a great answer. I have an HP Envy 4520 and when I launched the printer applet from the System Settings, and clicked on the HP Envy, the Make and Model showed HP Envy 4520 Series, hpcups 3.16.3. Notice the hpcups line.From the post by wh7qq, installing cups may fix the problem, at the very least, it's worth a try. I have had zero problems printing to my HP Envy 4520 from any application. This includes, but is not limited to, Libreoffice Writer, Libreoffice Calc, Firefox, even using the vererable "lp" command to print a text file. Best of luck and rest assured, this problem can be solved.

wh7qq
Level 2
Level 2
Posts: 75
Joined: Mon Mar 15, 2010 5:43 pm

Re: HP printer: how to get printing from Firefox happening?

Post by wh7qq » Sun Jun 17, 2018 4:06 pm

Mute Ant wrote:
Sat Jun 16, 2018 7:57 am
"...my eyes glass over any time I see a huge dump..." The new-speak acronym is TLDR... Too Long Didn't Read.
No speaka "new speak' here. This old trog doesn't even own a "smart" phone and has no plans to get one. I have enough trouble maintaining privacy and security with this box...if Tor wasn't so damned slow...

XP-refugee
Level 1
Level 1
Posts: 22
Joined: Mon Jan 01, 2018 2:41 am

Re: HP printer: how to get printing from Firefox happening?

Post by XP-refugee » Mon Jun 18, 2018 4:53 am

@ Karichen
Current situation:
Can print files on HDD from HP Device manager.
Can print from Firefox sometimes: normal "print this webpage" works.
Can not print theater* ticks that appear in a pop-up window.
Can print those tickets if I save the page as a file and then print that file.

Can't print those tickets on my 18.3 32 bit machine or my 18.3 64 bit machine.
Even when I re-call then from history and have the full Firefox command box avaialble.
They are on the screen and the print dialogs look normal right up till the "Printing" box goes to 100% and then disappears.
But nothing to show that the printer ever gets the files. And it doesn't print them.

Thanks wh7qq for the help and advice.
I checked CUPS and it tells me it is already up to date.

Thanks karichen for editing my OP to make the dump less obtrusive. i watch and I learn.

* Bakkhia = Bacchae. Performance was worthy of Ralph Williams. I hadn't recognised the name and thought I might be going to watch an abstract dance piece. :roll: Then the penny dropped. Yeeeehaa!

Post Reply

Return to “Newbie Questions”